Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class CachedMethod

author:
  Alex.Tkachman

Field Summary
`boolean` | `alreadySetAccessible`
`CachedClass` | `cachedClass`
`Method` | `cachedMethod`
`MyComparator` | `comparator`
`int` | `hashCode`
`int` | `methodIndex`

Constructor Summary
`CachedMethod(CachedClass clazz, Method method)`
`CachedMethod(Method method)`

Method Summary
`boolean` | `canBeCalledByReflector()`
`int` | `compareTo(Object o)`
`int` | `compareToCachedMethod(CachedMethod m)`
`int` | `compareToMethod(Method m)`
`boolean` | `equals(Object o)`
`static CachedMethod` | `find(Method method)`
`CachedClass` | `getDeclaringClass()`
`String` | `getDescriptor()`
`int` | `getMethodIndex()`
`int` | `getModifiers()`
`String` | `getName()`
`def` | `getPT()`
`ParameterTypes` | `getParamTypes()`
`int` | `getParamsCount()`
`Class` | `getReturnType()`
`String` | `getSignature()`
`int` | `hashCode()`
`Object` | `invoke(Object object, def arguments)`
`boolean` | `isStatic()`
`Method` | `setAccessible()`
`void` | `setAccessible0()`
`void` | `setMethodIndex(int i)`
`String` | `toString()`

Constructor Detail

### CachedMethod

    public CachedMethod(CachedClass clazz, Method method)

### CachedMethod

    public CachedMethod(Method method)

Method Detail

### canBeCalledByReflector

    public boolean canBeCalledByReflector()

### compareTo

    public int compareTo(Object o)

### compareToCachedMethod

    int compareToCachedMethod(CachedMethod m)

### compareToMethod

    int compareToMethod(Method m)

### equals

    public boolean equals(Object o)

### find

    public static CachedMethod find(Method method)

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getDescriptor

    public String getDescriptor()

### getMethodIndex

    public int getMethodIndex()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getPT

    def getPT()

### getParamTypes

    public ParameterTypes getParamTypes()

### getParamsCount

    public int getParamsCount()

### getReturnType

    public Class getReturnType()

### getSignature

    public String getSignature()

### hashCode

    public int hashCode()

### invoke

    public Object invoke(Object object, def arguments)

### isStatic

    public boolean isStatic()

### setAccessible

    public Method setAccessible()

### setAccessible0

    void setAccessible0()

### setMethodIndex

    public void setMethodIndex(int i)

### toString

    public String toString()